Bug 197341 - Analytics UI doesn't display stacks in case there is '+' somewhere in file name
Analytics UI doesn't display stacks in case there is '+' somewhere in file name
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: D-Light
7.0
Other Solaris
: P1 (vote)
: 7.0
Assigned To: Maria Tishkova
dlight-issues@cnd
CR_7033268
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-01 20:59 UTC by Maria Tishkova
Modified: 2011-04-06 19:15 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
SQLSTackStorage.java : exception should not be thrown in constructor, FileNameUtils: be more accurate when parsing file names (2.98 KB, patch)
2011-04-01 21:00 UTC, Maria Tishkova
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maria Tishkova 2011-04-01 20:59:27 UTC
Created CR 7033268 
Analytics GUI cannot display stack info. The module responsible for this belongs to dlight

The patch is attached

Need to be fixed for NetBeans70
Comment 1 Maria Tishkova 2011-04-01 21:00:53 UTC
Created attachment 107437 [details]
SQLSTackStorage.java : exception should not be thrown in constructor, FileNameUtils: be more accurate when parsing file names
Comment 2 Maria Tishkova 2011-04-01 21:16:30 UTC
fixed in cnd-main http://hg.netbeans.org/cnd-main/rev/8b9558d64fdb
Comment 3 Maria Tishkova 2011-04-04 08:59:53 UTC
Add fix (print exception in system.err) http://hg.netbeans.org/cnd-main/rev/4118c5f0de7f
 
This is a showstopper as Analytics doesn't work correctly

The main problem was in an exception which was thrown in the constructor of the Object. It is catched now and if there will be some problems with functions info in the analytics it will be possible to resolve them in analytics code base.
Comment 4 Maria Tishkova 2011-04-04 09:01:58 UTC
Vladimir, 

please review the fix


==Masha
Comment 5 Maria Tishkova 2011-04-04 09:29:21 UTC
Andrew,

  I think it will be better and more correct if you will review the fix as you are dlight developer. Please review

==Masha
Comment 6 Andrew Krasny 2011-04-04 11:18:50 UTC
Looks OK. But I would propose to remove lines 

    2.23 +        String functionQualifiedName = getFunctionQName(functionSignature);
    2.24 +        int prev = indexOf;
    2.25 +        indexOf = functionSignature.indexOf(functionQualifiedName);
    2.26 +        if (indexOf >= 0 ){
    2.27 +            indexOf  = indexOf + functionQualifiedName.length();
    2.28 +        }
    2.29 +        if  (indexOf == 0){
    2.30 +            indexOf = prev;
    2.31 +        }

in FunctionNameUtils.java as (if!) their result is not used.
Comment 8 Alexander Pepin 2011-04-04 11:59:23 UTC
The fix does not need verification.
Comment 9 Marian Mirilovic 2011-04-04 12:57:43 UTC
(In reply to comment #8)
> The fix does not need verification.

Ok, proceed with integration into release70
Comment 11 Quality Engineering 2011-04-05 08:39:34 UTC
Integrated into 'main-golden', will be available in build *201104050400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/08afa7b0d999
User: Maria Tishkova <mromashova@netbeans.org>
Log: add fix to #197341, removed unused code. Use lastIndexOf("+Ox") instead of loop
Comment 12 Alexander Pepin 2011-04-05 13:24:41 UTC
It does not need verification.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo